Skip to main content
POST
/
enrichCompany
Enrich company data
curl --request POST \
  --url https://api.parcha.ai/api/v1/enrichCompany \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "website": "<string>",
  "ticker": "<string>",
  "profile": "<string>"
}
'
import requests

url = "https://api.parcha.ai/api/v1/enrichCompany"

payload = {
"name": "<string>",
"website": "<string>",
"ticker": "<string>",
"profile": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', website: '<string>', ticker: '<string>', profile: '<string>'})
};

fetch('https://api.parcha.ai/api/v1/enrichCompany', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {},
  "error": "<string>",
  "source": "<string>"
}

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
name
string
website
string
ticker
string
profile
string

Response

Company enrichment successful

status
enum<string>
Available options:
success,
error,
not_found
data
object
error
string
source
string